import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DescribePackageRequest,
  DescribePackageResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribePackageCommandInput extends DescribePackageRequest {}
export interface DescribePackageCommandOutput
  extends DescribePackageResult,
    __MetadataBearer {}
export declare class DescribePackageCommand extends $Command<
  DescribePackageCommandInput,
  DescribePackageCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DescribePackageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribePackageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribePackageCommandInput, DescribePackageCommandOutput>;
  private serialize;
  private deserialize;
}
